reg.cpp File Reference
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Gecode::REG::Exp
| Implementation of the actual expression tree. More...
class | Gecode::MiniModel::PosSet
| Sets of positions. More...
class | Gecode::MiniModel::NodeInfo
| Node information computed during traversal of the expressions. More...
class | Gecode::MiniModel::ExpInfo
| Expression information. More...
class | Gecode::MiniModel::PosInfo
| Information on positions collected during traversal. More...
class | Gecode::MiniModel::StateNode
| Node together with state information More...
class | Gecode::MiniModel::StatePool
| State pool combines a tree of states together with yet unprocessed states More...
class | Gecode::MiniModel::SymbolsInc
| Sort symbols. More...
class | Gecode::MiniModel::TransitionBag
| For collecting transitions while constructing a DFA. More...
class | Gecode::MiniModel::FinalBag
| For collecting final states while constructing a DFA. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::MiniModel
| Minimalistic modeling support.

## Typedefs

typedef Support::BlockAllocator< PosSet, Region > | Gecode::MiniModel::PosSetAllocator
| Allocator for position sets.
typedef Support::BlockAllocator< StateNode, Heap > | Gecode::MiniModel::StatePoolAllocator
| Allocator for state nodes.

## Enumerations

enum | Gecode::MiniModel::PosSetCmp { Gecode::MiniModel::PSC_LE , Gecode::MiniModel::PSC_EQ , Gecode::MiniModel::PSC_GR }
| Order on position sets. More...